Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056232 - Deleting a Data Center with Clusters on it
Summary: Deleting a Data Center with Clusters on it
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Eli Mesika
QA Contact: bugs@ovirt.org
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 18:11 UTC by Vitor de Lima
Modified: 2014-02-18 11:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-18 11:18:19 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24109 None None None Never

Description Vitor de Lima 2014-01-21 18:11:47 UTC
Description of problem:
It is possible to remove a Data Center that still has Clusters on it.

Version-Release number of selected component (if applicable):
3.4 master branch (SHA-1 7fd49a34007892c44ba4ba18519a3fd9be60f16d)

How reproducible:
Always

Steps to Reproduce:
1. Remove a Data Center with Clusters on it
2.
3.

Actual results:
The engine should prevent this from happening.

Expected results:
The Data centers is removed and its clusters become orphaned.

Additional info:

Comment 1 Itamar Heim 2014-01-26 08:11:17 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 2 Omer Frenkel 2014-02-06 08:02:39 UTC
why this is a bug? where this behavior cause aby issue?
when you remove the DC, clusters has no DC, and user can re-assign them to a new DC.
please note that you cannot remove DC with vms/templates so there should not be any issue.

Comment 3 Vitor de Lima 2014-02-06 15:33:22 UTC
Sorry, I thought the missing data center in these orphaned clusters could cause issues later on, but if it isn't the case, no problem. Do you think preventing this kind of removal is a good idea?

Comment 4 Omer Frenkel 2014-02-06 15:43:28 UTC
i dont see a reason to prevent deleting such DC, unless we find this makes an issue. afaik, its not an issue, and i prefer not to block user from doing actions without a good reason for that.

Comment 5 Eli Mesika 2014-02-06 15:46:20 UTC
(In reply to Vitor de Lima from comment #3)
> Sorry, I thought the missing data center in these orphaned clusters could
> cause issues later on, but if it isn't the case, no problem. Do you think
> preventing this kind of removal is a good idea?

Vitor , did you use just remove or "force remove" to achieve that ???

IIRC this is not enable unless you check the force option 
If you did that using the force option then it is functions as designed , if not and still you had removed the DC its a bug and it should be resolved

Comment 6 Vitor de Lima 2014-02-10 12:31:08 UTC
I just used the "normal" remove.

Comment 7 Eli Mesika 2014-02-10 13:47:43 UTC
If the clusters have no Hosts/VMs this is OK and should closed as NOTABUG as Omer noted in comment 2

Any objection ?

Comment 8 Vitor de Lima 2014-02-18 11:09:14 UTC
No problem, I will just abandon the change that modifies this behavior.


Note You need to log in before you can comment on or make changes to this bug.